# Pies (Deprecated)

Manage your investment Pies. Use these endpoints to create, view, update, and delete your custom portfolios, making automated and diversified investing simple.
**Deprecation notice:** The current state of the Pies API, while still operational, won't be further supported and updated.

 - [GET /api/v0/equity/pies](https://docs.trading212.com/api/pies-(deprecated)/getall.md): Fetches all pies for the account **Rate limit:** 1 req / 30s
 - [POST /api/v0/equity/pies](https://docs.trading212.com/api/pies-(deprecated)/create.md): Creates a pie for the account by given params **Rate limit:** 1 req / 5s
 - [DELETE /api/v0/equity/pies/{id}](https://docs.trading212.com/api/pies-(deprecated)/delete.md): Deletes a pie by given id **Rate limit:** 1 req / 5s
 - [GET /api/v0/equity/pies/{id}](https://docs.trading212.com/api/pies-(deprecated)/getdetailed.md): Fetches a pies for the account with detailed information **Rate limit:** 1 req / 5s
 - [POST /api/v0/equity/pies/{id}](https://docs.trading212.com/api/pies-(deprecated)/update.md): Updates a pie for the account by given params **Rate limit:** 1 req / 5s
 - [POST /api/v0/equity/pies/{id}/duplicate](https://docs.trading212.com/api/pies-(deprecated)/duplicatepie.md): Duplicates a pie for the account **Rate limit:** 1 req / 5s
